{
  "name": "itender",
  "version": "2.2.8",
  "private": true,
  "author": "Tobias Hopp <tobi@gaminggeneration.de>",
  "license": "UNLICENSED",
  "scripts": {
    "boot": "yarn && yarn run compile && yarn run start",
    "start": "DEBUG=itender:* node --trace-warnings ./dist/main.js",
    "compile": "tsc && webpack",
    "compileStart": "yarn run compile && yarn start",
    "watchTS": "tsc --watch",
    "watchWP": "webpack --watch",
    "doc": "typedoc"
  },
  "dependencies": {
    "@serialport/parser-readline": "^10.5.0",
    "@types/cookie-parser": "^1.4.3",
    "@types/debug": "^4.1.7",
    "@types/express": "^4.17.14",
    "@types/express-ws": "^3.0.1",
    "@types/mongoose": "^5.11.97",
    "@types/morgan": "^1.9.3",
    "@types/node": "^18.11.9",
    "@types/rpi-gpio": "^2.1.1",
    "@types/rpi-ws281x-native": "^1.0.0",
    "@types/serialport": "^8.0.2",
    "@types/sharp": "^0.31.1",
    "axios": "^1.3.2",
    "buffer": "^6.0.3",
    "cookie-parser": "^1.4.6",
    "debug": "^4.3.4",
    "detect-rpi": "^1.4.0",
    "express": "~4.16.1",
    "express-ws": "^5.0.2",
    "hc-sr04": "^0.0.1",
    "http-errors": "~1.6.3",
    "mongoose": "^6.7.2",
    "morgan": "^1.10.0",
    "net-ping": "^1.2.3",
    "onoff": "^6.0.3",
    "pi-hx711": "^1.2.0",
    "pug": "^3.0.2",
    "rpi-gpio": "^2.1.7",
    "rpi-ws281x-native": "^1.0.4",
    "serialport": "^10.5.0",
    "sharp": "^0.31.3"
  },
  "devDependencies": {
    "nodemon": "^2.0.20",
    "ts-loader": "^9.4.1",
    "ts-node": "^10.9.1",
    "typedoc": "^0.23.24",
    "typedoc-plugin-missing-exports": "^1.0.0",
    "typescript": "^4.8.4",
    "webpack": "^5.74.0",
    "webpack-cli": "^4.10.0"
  }
}
